Package com.ocient.auth

# Class OpenIDAuthenticators.AuthorizationDeviceCodeBundle

java.lang.Object
com.ocient.auth.OpenIDAuthenticators.AuthorizationDeviceCodeBundle

All Implemented Interfaces:
  `Token`

Enclosing class:
  `OpenIDAuthenticators`

public static class OpenIDAuthenticators.AuthorizationDeviceCodeBundle extends Object implements Token
AuthorizationDeviceCodeBundle: This class implements `Token` just to reuse the existing handshake plumbing. It is NOT a token. Instead, it holds a json base64 encoded "payload" for server-side Device Grant polling.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationDeviceCodeBundle(String deviceCode, Integer intervalSeconds, Integer expiresInSeconds)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getToken()`
`String`
`getTokenHint()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizationDeviceCodeBundle

public AuthorizationDeviceCodeBundle(String deviceCode, Integer intervalSeconds, Integer expiresInSeconds)

## Method Details

### getTokenHint

public String getTokenHint()

Specified by:
  `getTokenHint` in interface `Token`
Returns:
  the token hint to forward to the database

### getToken

public String getToken() throws AuthException

Specified by:
  `getToken` in interface `Token`
Returns:
  the token payload
Throws:
  `AuthException` - if the token cannot be returned